> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Phenotypes Coding Variants

> Retrieve coding variants associated with the query phenotype.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**DUAL-IPA:**

**query by phenotype identifier**

- phenotype_id = BAO_0040014
- method = DUAL-IPA

**query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI6224HZMG
- method = DUAL-IPA

**ESM-1v:**

**query by phenotype identifier**

- phenotype_id = GO_0003674
- method = ESM-1v

**query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI8105TNNO
- method = ESM-1v

**MutPred2:**

**query by phenotype identifier**

- phenotype_id = GO_0003674
- method = MutPred2

**query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI6893ZOAA
- method = MutPred2

**SGE:**

**query by phenotype identifier**

- phenotype_id = NCIT_C16407
- method = SGE

**query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI2810SLAX
- method = SGE

**VAMP-seq:**

**query by phenotype identifier**

- phenotype_id = OBA_0000128
- method = VAMP-seq

**query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI0629IIQU
- method = VAMP-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /phenotypes/coding-variants
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /phenotypes/coding-variants:
    get:
      summary: Phenotypes Coding Variants
      description: >-
        Retrieve coding variants associated with the query phenotype.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **DUAL-IPA:**


        **query by phenotype identifier**


        - phenotype_id = BAO_0040014

        - method = DUAL-IPA


        **query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI6224HZMG

        - method = DUAL-IPA


        **ESM-1v:**


        **query by phenotype identifier**


        - phenotype_id = GO_0003674

        - method = ESM-1v


        **query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI8105TNNO

        - method = ESM-1v


        **MutPred2:**


        **query by phenotype identifier**


        - phenotype_id = GO_0003674

        - method = MutPred2


        **query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI6893ZOAA

        - method = MutPred2


        **SGE:**


        **query by phenotype identifier**


        - phenotype_id = NCIT_C16407

        - method = SGE


        **query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI2810SLAX

        - method = SGE


        **VAMP-seq:**


        **query by phenotype identifier**


        - phenotype_id = OBA_0000128

        - method = VAMP-seq


        **query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI0629IIQU

        - method = VAMP-seq
      operationId: codingVariantsFromPhenotypes
      parameters:
        - name: phenotype_id
          in: query
          required: false
          schema:
            type: string
        - name: phenotype_name
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - DUAL-IPA
              - ESM-1v
              - MutPred2
              - SGE
              - VAMP-seq
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    coding_variant:
                      type: object
                      properties:
                        _id:
                          type: string
                        aapos:
                          type: number
                          nullable: true
                        hgvsp:
                          type: string
                          nullable: true
                        protein_name:
                          type: string
                          nullable: true
                        gene_name:
                          type: string
                          nullable: true
                        ref:
                          type: string
                          nullable: true
                        alt:
                          type: string
                          nullable: true
                      required:
                        - _id
                      additionalProperties: false
                      nullable: true
                    phenotype:
                      type: object
                      properties:
                        phenotype_id:
                          type: string
                        phenotype_name:
                          type: string
                      required:
                        - phenotype_id
                        - phenotype_name
                      additionalProperties: false
                      nullable: true
                    score:
                      type: number
                      nullable: true
                    method:
                      type: string
                      nullable: true
                    class:
                      type: string
                      nullable: true
                    label:
                      type: string
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                    variant:
                      type: object
                      properties:
                        chr:
                          type: string
                        pos:
                          type: number
                        ref:
                          type: string
                        alt:
                          type: string
                        rsid:
                          type: array
                          items:
                            type: string
                          nullable: true
                        spdi:
                          type: string
                          nullable: true
                        hgvs:
                          type: string
                          nullable: true
                        ca_id:
                          type: string
                          nullable: true
                        _id:
                          type: string
                      required:
                        - chr
                        - pos
                        - ref
                        - alt
                      additionalProperties: false
                      nullable: true
                  required:
                    - score
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````